package com.jkcredit.data.datastorage.controller;

import com.jkcredit.data.datastorage.model.vo.CommonResponseVo;
import com.jkcredit.data.datastorage.service.resultInfoService.ResultInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/7/16 9:43
 * @version: V1.0
 **/
@RestController
public class ResultInfoController {
    @Autowired
    ResultInfoService resultInfoService;

    @PostMapping("/getResult")
    public CommonResponseVo getResult(@RequestBody String param) {
        return resultInfoService.getResultInfo(param);
    }

    @PutMapping("/result")
    public CommonResponseVo saveResult(@RequestParam MultipartFile file) {
        return resultInfoService.saveResultInfo(file);
    }
}
